/**
 * @file
 *
 * This file contains a type representing a binary operator.
 */

#ifndef INCLUSION_GUARD_BINARY_OPERATOR
#define INCLUSION_GUARD_BINARY_OPERATOR

/**
 * This type represents a binary operator, such as addition or
 * subtraction.
 */
typedef enum
{
  BinaryOperator_UNDEFINED,
  BinaryOperator_ADDITION,
  BinaryOperator_SUBTRACTION,
  BinaryOperator_MULTIPLICATION,
  BinaryOperator_DIVISION
} BinaryOperator_t;

#endif // INCLUSION_GUARD_BINARY_OPERATOR
