/**
 * @file
 *
 * This file contains a type representing a unary operator.
 */

#ifndef INCLUSION_GUARD_DEFAULT_UNARY_OPERATOR
#define INCLUSION_GUARD_DEFAULT_UNARY_OPERATOR

/**
 * This type represents a unary operator, such as negation.
 */
typedef enum
{
  UnaryOperator_UNDEFINED,
  UnaryOperator_NEGATION
} UnaryOperator_t;

#endif // INCLUSION_GUARD_DEFAULT_UNARY_OPERATOR
